.qf-cart__container {
  --cart-item-height: 150px;

  padding-block: 5rem 3rem;
}

/*****************************************************************
* FILLED CART
******************************************************************/

.qf-cart__container .qf-cart__contents .qf-cart__items table {
  border-spacing: 0 1.5rem;
  margin-bottom: 40px !important;
}

.qf-cart__container .qf-cart__contents .qf-cart__items table,
.qf-cart__container .qf-cart__contents .qf-cart__items table tbody,
.qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr,
.qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr td {
  border: none;
}

.qf-cart__container .qf-cart__contents .qf-cart__items table thead tr th {
  border-bottom: 2px solid var(--tertiary-color);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  thead
  tr
  th.wc-block-cart-items__header-product {
  visibility: visible;
}

.qf-cart__container .qf-cart__contents .qf-cart__items table thead tr th span {
  font-size: 1.1rem;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  thead
  tr
  th.wc-block-cart-items__header-product
  span {
  display: none;
}

.qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr {
  position: relative;
  border-radius: 0.5rem;
  box-shadow: 0 5px 20px 0 rgba(0, 0, 0, 0.1);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__image
  a {
  display: flex;
  height: var(--cart-item-height);
  width: var(--cart-item-height);
  justify-content: center;
  align-items: center;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  grid-template-rows: 1fr;
  column-gap: 1.5rem;
  height: var(--cart-item-height);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  > * {
  margin: 0;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-product-name {
  display: flex;
  align-items: center;
  color: var(--font-color);
  text-decoration: none;
  font-weight: 600;
  font-size: 1.2rem;
  transition: color 0.2s;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-product-name:hover {
  color: var(--tertiary-color);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__prices {
  display: flex;
  align-items: center;
  font-size: 1.2rem;
  grid-column-start: 3;
  grid-row-start: 1;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__prices
  ins {
  position: absolute;
  top: -10000px;
  left: -10000px;
  opacity: 0;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-product-metadata {
  display: none;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__quantity {
  grid-column-start: 2;
  grid-row-start: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__quantity
  button.wc-block-cart-item__remove-link {
  width: fit-content;
  color: red;
  text-decoration: none;
  font-size: 0.75rem;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__total
  > div {
  font-size: 1.3rem;
  font-weight: 700;
  padding-right: 1rem;
  height: var(--cart-item-height);
  justify-content: center;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block {
  --product-card-width: 300px;
  --product-title-height: 90px;
  --product-inner-circle-inset: 15px;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > h2 {
  margin-bottom: 3rem;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div {
  display: grid;
  grid-template-columns: repeat(3, var(--product-card-width));
  justify-content: center;
  gap: 2.5rem;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product {
  width: var(--product-card-width);
  justify-self: center;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--product-card-background-color);
  border-radius: 50%;
  aspect-ratio: 1/1;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image::before,
.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image::after {
  content: "";
  position: absolute;
  border-radius: 50%;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image::before {
  top: var(--product-inner-circle-inset);
  right: var(--product-inner-circle-inset);
  left: var(--product-inner-circle-inset);
  bottom: var(--product-inner-circle-inset);
  background-color: #fff;
  z-index: 1;
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0);
  transition: box-shadow 0.2s;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product:hover
  .wc-block-components-product-image::before {
  box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.5);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product:hover
  .wc-block-components-product-image::after {
  transform: scale(1);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image::after {
  top: calc(var(--product-inner-circle-inset) / 2);
  right: calc(var(--product-inner-circle-inset) / 2);
  left: calc(var(--product-inner-circle-inset) / 2);
  bottom: calc(var(--product-inner-circle-inset) / 2);
  background: var(--product-ring-gradient);
  z-index: 0;
  transform: scale(0.85);
  transition: transform 0.3s;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image
  a {
  position: relative;
  display: flex;
  z-index: 3;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wc-block-components-product-image
  a
  img {
  max-width: 200px !important;
  border-radius: 0;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  h3 {
  height: var(--product-title-height);
  padding-inline: 1rem;
  padding-top: 1rem;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  h3
  a {
  color: var(--font-color);
  font-size: 1.2rem;
  text-decoration: none;
  font-weight: 600;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wp-block-cart-cross-sells-product__product-price {
  font-size: 1.3rem;
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wp-block-cart-cross-sells-product__product-add-to-cart
  a,
.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  .wp-block-woocommerce-cart-cross-sells-block
  > div
  .cross-sells-product
  .wp-block-cart-cross-sells-product__product-add-to-cart
  button {
  background-color: var(--btn-background-color);
  width: 100%;
  border-radius: var(--btn-border-radius);
  padding-block: 1rem;
  box-shadow: var(--product-box-shadow);
  font-size: 1.1rem;
  color: var(--btn-text-color);
  font-weight: 700;
}

.qf-cart__container .qf-cart__totals {
  position: sticky;
  top: 100px;
  align-self: flex-start;
  border: 1px solid var(--tertiary-color);
  padding: 1.5rem 2rem !important;
  height: fit-content;
  background-color: rgba(82, 190, 181, 0.06);
}

.qf-cart__container .qf-cart__totals h2.wc-block-cart__totals-title {
  font-size: 1.1rem;
}

.qf-cart__container
  .qf-cart__totals
  form.wc-block-components-totals-coupon__form
  button.wc-block-components-totals-coupon__button {
  background-color: transparent;
  border-radius: var(--btn-border-radius);
  font-size: 1.2rem;
  font-weight: 700;
}

.qf-cart__container
  .qf-cart__totals
  form.wc-block-components-totals-coupon__form
  .wc-block-components-totals-coupon__input
  input {
  height: 100%;
  text-transform: uppercase;
}

.qf-cart__container
  .qf-cart__totals
  form.wc-block-components-totals-coupon__form
  .wc-block-components-totals-coupon__input
  label {
  top: 50%;
}

.qf-cart__container
  .qf-cart__totals
  form.wc-block-components-totals-coupon__form
  .wc-block-components-totals-coupon__input.is-active
  label {
  top: 0;
}

.qf-cart__container
  .qf-cart__totals
  .wc-block-cart__submit
  a.wc-block-cart__submit-button {
  color: var(--btn-text-color);
  background-color: var(--btn-background-color);
  border-radius: var(--btn-border-radius);
  font-size: 1.25rem;
  font-weight: 700;
  text-decoration: none;
}

.qf-cart__header {
  margin-block: 3rem 0.5rem;
}

.qf-cart__paragraph {
  font-size: 1.25rem;
  margin-bottom: 1rem;
}

.qf-cart__paragraph a {
  color: var(--font-color);
  text-decoration: none;
  font-weight: 700;
  transition: color 0.2s;
}

.qf-cart__paragraph a:hover {
  color: var(--tertiary-color);
}

.wc-block-cart table.wc-block-cart-items,
.wc-block-cart table.wc-block-cart-items td,
.wc-block-cart table.wc-block-cart-items th {
  margin: 0 !important;
}

/*****************************************************************
* EMPTY CART
******************************************************************/

.qf-cart__container .qf-cart__contents .qf-cart__empty > p {
  font-size: 1.5rem;
  font-weight: 600;
  margin-bottom: 2rem;
}

.qf-cart__container .qf-cart__contents .qf-cart__empty .qf-woo-product-list {
  padding-block: 5rem;
}

.qf-cart__container .qf-cart__contents .qf-cart__empty .qf-woo-product-list h2 {
  font-size: 1.75rem;
  margin-bottom: 4rem !important;
}

/*****************************************************************
* SALE BADGE
******************************************************************/

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-sale-badge {
  position: absolute;
  top: 2rem;
  right: 2rem;
  padding: 0;
  border: none;
  font-size: 1rem;
  font-weight: 600;
  color: var(--tertiary-color);
}

.qf-cart__container
  .qf-cart__contents
  .qf-cart__items
  table
  tbody
  tr
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-sale-badge
  span {
  font-weight: 700;
}

/*****************************************************************
* MEDIA QUERIES
******************************************************************/

@media only screen and (max-width: 2150px) {
  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block
    > div {
    grid-template-columns: repeat(2, var(--product-card-width));
  }
}

@media only screen and (max-width: 1800px) {
  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap {
    grid-template-columns: 3fr 1fr;
    grid-template-rows: 2fr 1fr;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap
    .wc-block-cart-item__prices {
    grid-column-start: 2;
    grid-row-start: 1;
    grid-row-end: 3;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap
    .wc-block-cart-item__quantity {
    grid-column-start: 1;
    grid-row-start: 2;
  }
}

@media only screen and (max-width: 1300px) {
  .qf-cart__container {
    padding-block: 3rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__filled {
    flex-direction: column;
    gap: 4rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__items {
    padding: 0;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__items,
  .qf-cart__container .qf-cart__contents .qf-cart__totals {
    width: 100%;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block
    > div {
    grid-template-columns: repeat(3, var(--product-card-width));
  }
}

@media only screen and (max-width: 1250px) {
  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block
    > div {
    grid-template-columns: repeat(2, var(--product-card-width));
  }
}

@media only screen and (max-width: 875px) {
  .qf-cart__container .qf-cart__contents .qf-cart__items table tbody {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-bottom: 2rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    column-gap: 1rem;
    padding-left: 1rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr td {
    margin: 0;
    padding: 0;
    padding-right: 0 !important;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__total,
  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__image {
    display: flex;
    align-items: center;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__total
    > div,
  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap {
    height: unset;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block {
    --product-card-width: 250px;
    --product-title-height: 90px;
    --product-inner-circle-inset: 15px;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block
    > div
    .cross-sells-product
    .wc-block-components-product-image
    a
    img {
    max-width: 175px !important;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__empty > p {
    font-size: 1.2rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__empty .qf-woo-product-list {
    padding-block: 2.5rem;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__empty
    .qf-woo-product-list
    h2 {
    font-size: 1.5rem;
    margin-bottom: 3rem !important;
  }
}

@media only screen and (max-width: 782px) {
  .qf-cart__container .qf-cart__totals {
    position: static;
  }

  .qf-cart__container
    .qf-cart__totals
    .wc-block-cart__submit-container--sticky:before {
    box-shadow: none;
  }
}

@media only screen and (max-width: 700px) {
  .qf-cart__container .qf-cart__contents .qf-cart__items table {
    display: block;
    margin-bottom: 4rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr {
    padding: 1.5rem;
  }

  .qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr,
  .qf-cart__container .qf-cart__contents .qf-cart__items table tbody tr td {
    display: block;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    .wc-block-cart-item__image {
    justify-content: center;
    margin-bottom: 1rem;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    row-gap: 1rem;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap
    .wc-block-components-product-name {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 1;
    justify-self: center;
    text-align: center;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap
    .wc-block-cart-item__quantity {
    align-self: flex-start;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap
    .wc-block-cart-item__prices {
    grid-row-start: 2;
    grid-row-end: 3;
    align-items: flex-start;
    justify-self: flex-end;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__total {
    justify-content: flex-end;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__total
    > div {
    padding: 0;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block
    > h2 {
    font-size: 1.75rem !important;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block {
    --product-title-height: unset;
  }

  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    .wp-block-woocommerce-cart-cross-sells-block
    > div {
    grid-template-columns: 1fr;
  }
}

@media only screen and (max-width: 450px) {
  .qf-cart__container
    .qf-cart__contents
    .qf-cart__items
    table
    tbody
    tr
    td.wc-block-cart-item__product
    .wc-block-cart-item__wrap
    .wc-block-components-sale-badge {
    top: unset;
    right: unset;
    bottom: 2rem;
    left: 1.5rem;
  }
}
